summaryrefslogtreecommitdiff
path: root/extra/tidyhtml
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/tidyhtml
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/tidyhtml')
-rw-r--r--extra/tidyhtml/PKGBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/extra/tidyhtml/PKGBUILD b/extra/tidyhtml/PKGBUILD
new file mode 100644
index 000000000..031234da6
--- /dev/null
+++ b/extra/tidyhtml/PKGBUILD
@@ -0,0 +1,36 @@
+# $Id: PKGBUILD 69561 2010-02-21 04:47:38Z allan $
+# Maintainer: eric <eric@archlinux.org>
+# Contributor : Markus Meissner <markus@meissna.de>
+
+pkgname=tidyhtml
+# obtain pkgver from http://tidy.cvs.sourceforge.net/tidy/tidy/src/version.h?view=markup
+pkgver=1.46
+pkgrel=1
+pkgdesc="A tool to tidy down your HTML code to a clean style"
+arch=('i686' 'x86_64')
+url="http://tidy.sourceforge.net/"
+license=('custom')
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/tidyhtml/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('3d970d54be83c5ec985687e9976a2832')
+
+mksource() {
+ mkdir tidyhtml-${pkgver}
+ cd tidyhtml-${pkgver}
+ cvs -d:pserver:anonymous@tidy.cvs.sourceforge.net:/cvsroot/tidy login #hit enter for password
+ cvs -z3 -d:pserver:anonymous@tidy.cvs.sourceforge.net:/cvsroot/tidy co -P tidy
+ cd ..
+ tar -cvjf tidyhtml-${pkgver}.tar.bz2 tidyhtml-${pkgver}/*
+}
+
+build(){
+ cd $srcdir/${pkgname}-${pkgver}/tidy
+ source build/gnuauto/setup.sh
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$pkgdir install
+
+ install -Dm644 htmldoc/license.html \
+ ${pkgdir}/usr/share/licenses/${pkgname}/license.txt
+}